Table of Contents

Class: LDAPMatchingRuleAssertion | Twisted-0.17.4/twisted/protocols/pureldap.py
--- | ---

Base Classes |
--- | ---
BERSequence

Methods |
--- | ---
__init__ __str__ decode
| __init__

    __init__ (
            self,
            matchingRule=None,
            type=None,
            matchValue=None,
            dnAttributes=None,
            encoded=None,
            berdecoder=None,
            tag=None,
            )

Exceptions |
--- | ---
"You must give either value or encoded"

| __str__

    __str__ ( self )

| decode

    decode (
            self,
            encoded,
            berdecoder,
            )

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:04 2002 by HappyDoc version 2.0